--- old/usr/src/uts/sun4u/sunfire/ml/ac_asm.s	Thu Nov 14 19:00:50 2019
+++ new/usr/src/uts/sun4u/sunfire/ml/ac_asm.s	Thu Nov 14 19:00:50 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -39,20 +37,10 @@
 #include <sys/mmu.h>
 #include <sys/spitregs.h>
 
-#if defined(lint)
-
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #define	TT_HSM	0x99
 
-#if defined(lint)
-/* ARGSUSED */
-void
-ac_blkcopy(caddr_t src, caddr_t dst, u_int linecount, u_int linesize)
-{}
-#else /* !lint */
 !
 ! Move a single cache line of data.  Survive UE and CE on the read
 !
@@ -117,4 +105,3 @@
 	ret
 	 restore
 	SET_SIZE(ac_blkcopy)
-#endif /* lint */
--- old/usr/src/uts/sun4u/sunfire/ml/fhc_asm.s	Thu Nov 14 19:00:50 2019
+++ new/usr/src/uts/sun4u/sunfire/ml/fhc_asm.s	Thu Nov 14 19:00:50 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -34,11 +32,7 @@
 #include <sys/privregs.h>
 #include <sys/spitregs.h>
 
-#if defined(lint)
-
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * fhc_shutdown_asm(u_longlong_t base, int size)
@@ -57,15 +51,7 @@
  * function must be position independent code that doesn't reference 
  * cacheable real memory.
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-void
-fhc_shutdown_asm(u_longlong_t base, int size)
-{}
-
-#else	/* lint */
-
 	ENTRY(fhc_shutdown_asm)
 	! turn off errors (we'll be writing to non-existent memory)
 	stxa	%g0, [%g0]ASI_ESTATE_ERR
@@ -94,4 +80,3 @@
 	.global	fhc_shutdown_asm_end
 fhc_shutdown_asm_end:
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/sunfire/ml/sysctrl_asm.s	Thu Nov 14 19:00:51 2019
+++ new/usr/src/uts/sun4u/sunfire/ml/sysctrl_asm.s	Thu Nov 14 19:00:51 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -39,19 +37,10 @@
 #include <sys/mmu.h>
 #include <sys/spitregs.h>
 
-#if defined(lint)
-
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #define	TT_HSM	0x99
 
-#if defined(lint)
-void
-sysctrl_freeze(void)
-{}
-#else /* lint */
 /*
  * This routine quiets a cpu and has it spin on a barrier.
  * It is used during memory sparing so that no memory operation
@@ -89,4 +78,3 @@
 	membar	#Sync
 	SET_SIZE(sysctrl_freeze)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/vm/mach_sfmmu_asm.s	Thu Nov 14 19:00:51 2019
+++ new/usr/src/uts/sun4u/vm/mach_sfmmu_asm.s	Thu Nov 14 19:00:51 2019
@@ -23,18 +23,12 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * SFMMU primitives.  These primitives should only be used by sfmmu
  * routines.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machtrap.h>
@@ -56,48 +50,7 @@
  * sfmmu related subroutines
  */
 
-#if defined (lint)
-
 /*
- * sfmmu related subroutines
- */
-/* ARGSUSED */
-void
-sfmmu_raise_tsb_exception(uint64_t sfmmup, uint64_t rctx)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_itlb_ld_kva(caddr_t vaddr, tte_t *tte)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_dtlb_ld_kva(caddr_t vaddr, tte_t *tte)
-{}
-
-int
-sfmmu_getctx_pri()
-{ return(0); }
-
-int
-sfmmu_getctx_sec()
-{ return(0); }
-
-/* ARGSUSED */
-void
-sfmmu_setctx_sec(uint_t ctx)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_load_mmustate(sfmmu_t *sfmmup)
-{
-}
-
-#else	/* lint */
-
-/*
  * Invalidate either the context of a specific victim or any process
  * currently running on this CPU. 
  *
@@ -609,27 +562,6 @@
           nop
         SET_SIZE(sfmmu_load_mmustate)
 
-#endif /* lint */
-
-#if defined (lint)
-/*
- * Invalidate all of the entries within the tsb, by setting the inv bit
- * in the tte_tag field of each tsbe.
- *
- * We take advantage of the fact TSBs are page aligned and a multiple of
- * PAGESIZE to use block stores.
- *
- * See TSB_LOCK_ENTRY and the miss handlers for how this works in practice
- * (in short, we set all bits in the upper word of the tag, and we give the
- * invalid bit precedence over other tag bits in both places).
- */
-/* ARGSUSED */
-void
-sfmmu_inv_tsb_fast(caddr_t tsb_base, uint_t tsb_bytes)
-{}
-
-#else /* lint */
-
 #define	VIS_BLOCKSIZE	64
 
 	ENTRY(sfmmu_inv_tsb_fast)
@@ -707,33 +639,6 @@
 	  restore
 	SET_SIZE(sfmmu_inv_tsb_fast)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*
- * Prefetch "struct tsbe" while walking TSBs.
- * prefetch 7 cache lines ahead of where we are at now.
- * #n_reads is being used since #one_read only applies to
- * floating point reads, and we are not doing floating point
- * reads.  However, this has the negative side effect of polluting
- * the ecache.
- * The 448 comes from (7 * 64) which is how far ahead of our current
- * address, we want to prefetch.
- */
-/*ARGSUSED*/
-void
-prefetch_tsbe_read(struct tsbe *tsbep)
-{}
-
-/* Prefetch the tsbe that we are about to write */
-/*ARGSUSED*/
-void
-prefetch_tsbe_write(struct tsbe *tsbep)
-{}
-
-#else /* lint */
-
 	ENTRY(prefetch_tsbe_read)
 	retl
 	  prefetch	[%o0+448], #n_reads
@@ -743,5 +648,4 @@
 	retl
 	  prefetch	[%o0], #n_writes
 	SET_SIZE(prefetch_tsbe_write)
-#endif /* lint */
 
--- old/usr/src/uts/sun4v/cpu/common_asm.s	Thu Nov 14 19:00:51 2019
+++ new/usr/src/uts/sun4v/cpu/common_asm.s	Thu Nov 14 19:00:51 2019
@@ -22,9 +22,7 @@
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif
 
 /*
  * General assembly language routines.
@@ -44,16 +42,7 @@
 #include <sys/machclock.h>
 #include <sys/clock.h>
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/scb.h>
-#include <sys/systm.h>
-#include <sys/regset.h>
-#include <sys/sunddi.h>
-#include <sys/lockstat.h>
-#endif	/* lint */
 
-
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <vm/hat_sfmmu.h>
@@ -67,24 +56,10 @@
 #include <sys/intr.h>
 #include <sys/hypervisor_api.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif
 
 #define	ICACHE_FLUSHSZ	0x20
 
-#if defined(lint)
-/*
- * Softint generated when counter field of tick reg matches value field 
- * of tick_cmpr reg
- */
-/*ARGSUSED*/
-void
-tickcmpr_set(uint64_t clock_cycles)
-{}
-
-#else   /* lint */
-
 	ENTRY_NP(tickcmpr_set)
 	! get 64-bit clock_cycles interval
 	mov	%o0, %o2
@@ -106,16 +81,6 @@
 	  nop
 	SET_SIZE(tickcmpr_set)
 
-#endif  /* lint */
-
-#if defined(lint)
-
-void
-tickcmpr_disable(void)
-{}
-
-#else
-
 	ENTRY_NP(tickcmpr_disable)
 	mov	1, %g1
 	sllx	%g1, TICKINT_DIS_SHFT, %o0
@@ -124,29 +89,6 @@
 	  nop
 	SET_SIZE(tickcmpr_disable)
 
-#endif
-
-#if defined(lint)
-
-/*
- * tick_write_delta() is intended to increment %stick by the specified delta,
- * but %stick is only writeable in hyperprivileged mode and at present there
- * is no provision for this. tick_write_delta is called by the cylic subsystem
- * if a negative %stick delta is observed after cyclic processing is resumed
- * after an event such as an OS suspend/resume. On sun4v, the suspend/resume
- * routines should adjust the %stick offset preventing the cyclic subsystem
- * from detecting a negative delta. If a negative delta is detected, panic the
- * system. The negative delta could be caused by improper %stick
- * synchronization after a suspend/resume.
- */
-
-/*ARGSUSED*/
-void
-tick_write_delta(uint64_t delta)
-{}
-
-#else	/* lint */
-
 	.seg	".text"
 tick_write_delta_panic:
 	.asciz	"tick_write_delta: not supported, delta: 0x%lx"
@@ -160,19 +102,7 @@
 	/*NOTREACHED*/
 	retl
 	  nop
-#endif
 
-#if defined(lint)
-/*
- *  return 1 if disabled
- */
-
-int
-tickcmpr_disabled(void)
-{ return (0); }
-
-#else   /* lint */
-
 	ENTRY_NP(tickcmpr_disabled)
 	RD_TICKCMPR(%g1,%o0,%o1,__LINE__)
 	retl
@@ -179,23 +109,10 @@
 	  srlx	%g1, TICKINT_DIS_SHFT, %o0
 	SET_SIZE(tickcmpr_disabled)
 
-#endif  /* lint */
-
 /*
  * Get current tick
  */
-#if defined(lint)
 
-u_longlong_t
-gettick(void)
-{ return (0); }
-
-u_longlong_t
-randtick(void)
-{ return (0); }
-
-#else   /* lint */
-
 	ENTRY(gettick)
 	ALTENTRY(randtick)
 	GET_NATIVE_TIME(%o0,%o2,%o3,__LINE__)
@@ -204,23 +121,13 @@
 	SET_SIZE(randtick)
 	SET_SIZE(gettick)
 
-#endif  /* lint */
-
 /*
  * Get current tick. For trapstat use only.
  */
-#if defined (lint)
-
-hrtime_t
-rdtick()
-{ return (0); }
-
-#else
 	ENTRY(rdtick)
 	retl
 	RD_TICK_PHYSICAL(%o0)
 	SET_SIZE(rdtick)
-#endif /* lint */
 
 
 /*
@@ -227,22 +134,6 @@
  * Return the counter portion of the tick register.
  */
 
-#if defined(lint)
-
-uint64_t
-gettick_counter(void)
-{ return(0); }
-
-uint64_t
-gettick_npt(void)
-{ return(0); }
-
-uint64_t
-getstick_npt(void)
-{ return(0); }
-
-#else	/* lint */
-
 	ENTRY_NP(gettick_counter)
 	RD_TICK(%o0,%o1,%o2,__LINE__)
 	retl
@@ -260,7 +151,6 @@
 	retl
 	srlx	%o0, 63, %o0
 	SET_SIZE(getstick_npt)
-#endif	/* lint */
 
 /*
  * Provide a C callable interface to the trap that reads the hi-res timer.
@@ -267,65 +157,6 @@
  * Returns 64-bit nanosecond timestamp in %o0 and %o1.
  */
 
-#if defined(lint)
-
-hrtime_t
-gethrtime(void)
-{
-	return ((hrtime_t)0);
-}
-
-hrtime_t
-gethrtime_unscaled(void)
-{
-	return ((hrtime_t)0);
-}
-
-hrtime_t
-gethrtime_max(void)
-{
-	return ((hrtime_t)0);
-}
-
-void
-scalehrtime(hrtime_t *hrt)
-{
-	*hrt = 0;
-}
-
-void
-gethrestime(timespec_t *tp)
-{
-	tp->tv_sec = 0;
-	tp->tv_nsec = 0;
-}
-
-time_t
-gethrestime_sec(void)
-{
-	return (0);
-}
-
-void
-gethrestime_lasttick(timespec_t *tp)
-{
-	tp->tv_sec = 0;
-	tp->tv_nsec = 0;
-}
-
-/*ARGSUSED*/
-void
-hres_tick(void)
-{
-}
-
-void
-panic_hres_tick(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(gethrtime)
 	GET_HRTIME(%g1,%o0,%o1,%o2,%o3,%o4,%o5,%g2,__LINE__)
 							! %g1 = hrtime
@@ -618,10 +449,6 @@
 
 	SET_SIZE(hres_tick)
 
-#endif	/* lint */
-
-#if !defined(lint) && !defined(__lint)
-
 	.seg	".text"
 kstat_q_panic_msg:
 	.asciz	"kstat_q_exit: qlen == 0"
@@ -731,20 +558,6 @@
 	KSTAT_Q_UPDATE(add, BRZPT, 1f, 1:retl, KSTAT_IO_W)
 	SET_SIZE(kstat_runq_back_to_waitq)
 
-#endif /* lint */
-
-#ifdef lint	
-
-int64_t timedelta;
-hrtime_t hres_last_tick;
-volatile timestruc_t hrestime;
-int64_t hrestime_adj;
-volatile int hres_lock;
-uint_t nsec_scale;
-hrtime_t hrtime_base;
-int traptrace_use_stick;
-
-#else
 	/*
 	 *  -- WARNING --
 	 *
@@ -788,9 +601,7 @@
 native_stick_offset:
 	.word	0, 0
 
-#endif
 
-
 /*
  * drv_usecwait(clock_t n)	[DDI/DKI - section 9F]
  * usec_delay(int n)		[compatibility - should go one day]
@@ -803,20 +614,6 @@
  * use %stick to implement this routine.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-drv_usecwait(clock_t n)
-{}
-
-/*ARGSUSED*/
-void
-usec_delay(int n)
-{}
-
-#else	/* lint */
-
 	ENTRY(drv_usecwait)
 	ALTENTRY(usec_delay)
 	brlez,a,pn %o0, 0f
@@ -837,17 +634,7 @@
 	  nop
 	SET_SIZE(usec_delay)
 	SET_SIZE(drv_usecwait)
-#endif	/* lint */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-pil14_interrupt(int level)
-{}
-
-#else
-
 /*
  * Level-14 interrupt prologue.
  */
@@ -933,17 +720,6 @@
 	  nop
 	SET_SIZE(tick_rtt)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-pil15_interrupt(int level)
-{}
-
-#else   /* lint */
-
 /*
  * Level-15 interrupt prologue.
  */
@@ -961,24 +737,6 @@
        stn     %g0, [%g1 + CPU_CPCPROFILE_UPC] ! zero user PC
        SET_SIZE(pil15_interrupt)
 
-#endif  /* lint */
-
-#if defined(lint)
-/*
- * Prefetch a page_t for write or read, this assumes a linear
- * scan of sequential page_t's.
- */
-/*ARGSUSED*/
-void
-prefetch_page_w(void *pp)
-{}
-
-/*ARGSUSED*/
-void
-prefetch_page_r(void *pp)
-{}
-#else	/* lint */
-
 /* XXXQ These should be inline templates, not functions */
         ENTRY(prefetch_page_w)
         retl
@@ -990,18 +748,6 @@
 	  nop
         SET_SIZE(prefetch_page_r)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Prefetch struct smap for write. 
- */
-/*ARGSUSED*/
-void
-prefetch_smap_w(void *smp)
-{}
-#else	/* lint */
-
 /* XXXQ These should be inline templates, not functions */
 	ENTRY(prefetch_smap_w)
 	retl
@@ -1008,61 +754,10 @@
 	  nop
 	SET_SIZE(prefetch_smap_w)
 
-#endif	/* lint */
-
 /*
  * Generic sun4v MMU and Cache operations.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-vtag_flushpage(caddr_t vaddr, uint64_t sfmmup)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flushall(void)
-{}
-
-/*ARGSUSED*/
-void
-vtag_unmap_perm_tl1(uint64_t vaddr, uint64_t ctxnum)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flushpage_tl1(uint64_t vaddr, uint64_t sfmmup)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flush_pgcnt_tl1(uint64_t vaddr, uint64_t sfmmup_pgcnt)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flushall_tl1(uint64_t dummy1, uint64_t dummy2)
-{}
-
-/*ARGSUSED*/
-void
-vac_flushpage(pfn_t pfnum, int vcolor)
-{}
-
-/*ARGSUSED*/
-void
-vac_flushpage_tl1(uint64_t pfnum, uint64_t vcolor)
-{}
-
-/*ARGSUSED*/
-void
-flush_instr_mem(caddr_t vaddr, size_t len)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage)
 	/*
 	 * flush page from the tlb
@@ -1262,8 +957,6 @@
 	  nop
 	SET_SIZE(flush_instr_mem)
 
-#endif /* !lint */
-
 #if !defined(CUSTOM_FPZERO)
 
 /*
@@ -1270,14 +963,6 @@
  * fp_zero() - clear all fp data registers and the fsr
  */
 
-#if defined(lint) || defined(__lint)
-
-void
-fp_zero(void)
-{}
-
-#else	/* lint */
-
 .global	fp_zero_zero
 .align 8
 fp_zero_zero:
@@ -1321,5 +1006,4 @@
 	fmovd	%f0, %f62
 	SET_SIZE(fp_zero)
 
-#endif	/* lint */
 #endif  /* CUSTOM_FPZERO */
--- old/usr/src/uts/sun4v/cpu/generic_copy.s	Thu Nov 14 19:00:52 2019
+++ new/usr/src/uts/sun4v/cpu/generic_copy.s	Thu Nov 14 19:00:52 2019
@@ -35,9 +35,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 
 /*
@@ -60,15 +58,6 @@
 
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -97,21 +86,12 @@
 	restore	%g1, 0, %o0
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	save	%sp, -SA(MINFRAME), %sp
@@ -375,21 +355,10 @@
 	andn	%i2, %o0, %i3		! return size of aligned bytes
 	SET_SIZE(bcopy)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -432,8 +401,6 @@
 	nop
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
-
 /*
  * hwblkpagecopy()
  *
@@ -441,12 +408,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	save	%sp, -SA(MINFRAME), %sp
 
@@ -509,7 +470,6 @@
 	ret
 	restore	%g0, 0, %o0
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -579,15 +539,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * We save the arguments in the following registers in case of a fault:
  * 	kaddr - %g2
@@ -821,18 +772,7 @@
 	mov	-1, %o0
 	SET_SIZE(copyout)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	sethi	%hi(.xcopyout_err), REAL_LOFAULT
 	b	.do_copyout
@@ -849,17 +789,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-	
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -887,21 +816,10 @@
 	mov	%g0, %o0		! return (0)
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	sethi	%hi(.copyin_err), REAL_LOFAULT
 	or	REAL_LOFAULT, %lo(.copyin_err), REAL_LOFAULT
@@ -1091,17 +1009,6 @@
 	mov	-1, %o0
 	SET_SIZE(copyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 	sethi	%hi(.xcopyin_err), REAL_LOFAULT
 	b	.do_copyin
@@ -1118,17 +1025,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -1162,22 +1058,12 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyin_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyin
@@ -1187,22 +1073,11 @@
 	  nop
 	SET_SIZE(copyin_noerr)
 
-#endif /* lint */
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyout_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyout
@@ -1209,15 +1084,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 	SET_SIZE(copyout_noerr)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-
-#else /* !lint */
-
 	.align	4
 	DGDEF(use_hw_bcopy)
 	.word	1
@@ -1226,7 +1092,6 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
 
 
 /*
@@ -1237,14 +1102,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{ 
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 
@@ -1259,16 +1116,7 @@
 	restore	%g0, 1, %o0	! return (1) - did not use block operations
 
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef	lint
-/* Copy 32 bytes of data from src to dst using physical addresses */
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else	/*!lint */
-
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -1297,7 +1145,6 @@
 	retl
 	  wrpr    %g0, %g1, %pstate
 	SET_SIZE(hw_pa_bcopy32)
-#endif /* lint */
 
 /*
  * Zero a block of storage.
@@ -1306,20 +1153,6 @@
  */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kzero(void *addr, size_t count)
-{ return(0); }
-
-/* ARGSUSED */
-void
-uzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(uzero)
 	!
 	! Set a new lo_fault handler only if we came in with one
@@ -1392,21 +1225,10 @@
 	SET_SIZE(kzero)
 	SET_SIZE(uzero)
 
-#endif	/* lint */
-
 /*
  * Zero a block of storage.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-bzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bzero)
 	wr	%g0, ASI_P, %asi
 
@@ -1596,4 +1418,3 @@
 	clr	%o0			! return (0)
 
 	SET_SIZE(bzero)
-#endif	/* lint */
--- old/usr/src/uts/sun4v/cpu/niagara2_asm.s	Thu Nov 14 19:00:52 2019
+++ new/usr/src/uts/sun4v/cpu/niagara2_asm.s	Thu Nov 14 19:00:52 2019
@@ -23,9 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif
 
 /*
  * Niagara2 processor specific assembly routines
@@ -40,19 +38,6 @@
 #include <sys/niagaraasi.h>
 #include <vm/hat_sfmmu.h>
 
-#if defined(lint)
-/*ARGSUSED*/
-uint64_t
-hv_niagara_getperf(uint64_t perfreg, uint64_t *datap)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niagara_setperf(uint64_t perfreg, uint64_t data)
-{ return (0); }
-
-#else   /* lint */
-
 	/*
 	 * hv_niagara_getperf(uint64_t perfreg, uint64_t *datap)
 	 */
@@ -89,27 +74,6 @@
 	nop
 	SET_SIZE(hv_niagara_setperf)
 
-#endif /* !lint */
-
-#if defined (lint)
-/*
- * Invalidate all of the entries within the TSB, by setting the inv bit
- * in the tte_tag field of each tsbe.
- *
- * We take advantage of the fact that the TSBs are page aligned and a
- * multiple of PAGESIZE to use ASI_BLK_INIT_xxx ASI.
- *
- * See TSB_LOCK_ENTRY and the miss handlers for how this works in practice
- * (in short, we set all bits in the upper word of the tag, and we give the
- * invalid bit precedence over other tag bits in both places).
- */
-/*ARGSUSED*/
-void
-cpu_inv_tsb(caddr_t tsb_base, uint_t tsb_bytes)
-{}
-
-#else /* lint */
-
 	ENTRY(cpu_inv_tsb)
 
 	/*
@@ -151,18 +115,7 @@
 	nop
 
 	SET_SIZE(cpu_inv_tsb)
-#endif /* lint */
 
-#if defined (lint)
-/*
- * This is CPU specific delay routine for atomic backoff. It is used in case
- * of Niagara2 and VF CPUs. The rd instruction uses less resources than casx
- * on these CPUs.
- */
-void
-cpu_atomic_delay(void)
-{}
-#else	/* lint */
 	ENTRY(cpu_atomic_delay)
 	rd	%ccr, %g0
 	rd	%ccr, %g0
@@ -169,4 +122,3 @@
 	retl
 	rd	%ccr, %g0
 	SET_SIZE(cpu_atomic_delay)
-#endif	/* lint */
--- old/usr/src/uts/sun4v/cpu/niagara_asm.s	Thu Nov 14 19:00:52 2019
+++ new/usr/src/uts/sun4v/cpu/niagara_asm.s	Thu Nov 14 19:00:52 2019
@@ -23,11 +23,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif
 
 /*
  * Niagara processor specific assembly routines
@@ -42,19 +38,6 @@
 #include <sys/niagaraasi.h>
 #include <vm/hat_sfmmu.h>
 
-#if defined(lint)
-/*ARGSUSED*/
-uint64_t
-hv_niagara_getperf(uint64_t perfreg, uint64_t *datap)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niagara_setperf(uint64_t perfreg, uint64_t data)
-{ return (0); }
-
-#else   /* lint */
-
 	/*
 	 * hv_niagara_getperf(uint64_t perfreg, uint64_t *datap)
 	 */
@@ -79,27 +62,6 @@
 	nop
 	SET_SIZE(hv_niagara_setperf)
 
-#endif /* !lint */
-
-#if defined (lint)
-/*
- * Invalidate all of the entries within the TSB, by setting the inv bit
- * in the tte_tag field of each tsbe.
- *
- * We take advantage of the fact that the TSBs are page aligned and a
- * multiple of PAGESIZE to use ASI_BLK_INIT_xxx ASI.
- *
- * See TSB_LOCK_ENTRY and the miss handlers for how this works in practice
- * (in short, we set all bits in the upper word of the tag, and we give the
- * invalid bit precedence over other tag bits in both places).
- */
-/*ARGSUSED*/
-void
-cpu_inv_tsb(caddr_t tsb_base, uint_t tsb_bytes)
-{}
-
-#else /* lint */
-
 	ENTRY(cpu_inv_tsb)
 
 	/*
@@ -141,21 +103,7 @@
 	nop
 
 	SET_SIZE(cpu_inv_tsb)
-#endif /* lint */
 
-#if defined(lint)
-/*ARGSUSED*/
-uint64_t
-hv_niagara_mmustat_conf(uint64_t buf, uint64_t *prev_buf)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niagara_mmustat_info(uint64_t *buf)
-{ return (0); }
-
-#else   /* lint */
-
 	/*
 	 * hv_niagara_mmustat_conf(uint64_t buf, uint64_t *prev_buf)
 	 */
@@ -178,4 +126,3 @@
 	stx	%o1, [%o4]
 	SET_SIZE(hv_niagara_mmustat_info)
 
-#endif /* !lint */
--- old/usr/src/uts/sun4v/cpu/niagara_copy.s	Thu Nov 14 19:00:53 2019
+++ new/usr/src/uts/sun4v/cpu/niagara_copy.s	Thu Nov 14 19:00:53 2019
@@ -35,9 +35,7 @@
 #include <sys/machasi.h>
 #include <sys/niagaraasi.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 
 /*
@@ -374,8 +372,6 @@
 	faddd	%f0, %f2, %f60		;\
 	fmuld	%f0, %f2, %f62
 
-#if !defined(lint)
-
 /*
  * Macros to save and restore fp registers to/from the stack.
  * Used to save and restore in-use fp registers when we want to use FP.
@@ -401,9 +397,8 @@
 	add	tmp1, VIS_BLOCKSIZE, tmp1			;\
 	ldda	[tmp1]ASI_BLK_P, %f48				;\
 	membar	#Sync
-#endif	/* NIAGARA_IMPL */
 
-#endif	/* lint */
+#endif
 /*
  * Copy a block of storage, returning an error code if `from' or
  * `to' takes a kernel pagefault which cannot be resolved.
@@ -410,15 +405,6 @@
  * Returns errno value on pagefault error, 0 if all ok
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -592,21 +578,12 @@
 #endif	/* NIAGARA_IMPL */
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 #if !defined(NIAGARA_IMPL)
 	cmp	%o2, FP_COPY			! check for small copy/leaf case
@@ -2686,21 +2663,10 @@
 
 #endif	/* NIAGARA_IMPL */
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -2743,8 +2709,6 @@
 	nop
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
-
 /*
  * hwblkpagecopy()
  *
@@ -2752,12 +2716,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	save	%sp, -SA(MINFRAME), %sp
 
@@ -2810,7 +2768,6 @@
 	ret
 	restore	%g0, 0, %o0
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -2904,15 +2861,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * We save the arguments in the following registers in case of a fault:
  * 	kaddr - %g2
@@ -5099,18 +5047,7 @@
 #endif	/* NIAGARA_IMPL */
 	SET_SIZE(copyout)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	sethi	%hi(.xcopyout_err), REAL_LOFAULT
 	b	.do_copyout
@@ -5127,17 +5064,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-	
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -5165,21 +5091,10 @@
 	mov	%g0, %o0		! return (0)
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	sethi	%hi(.copyin_err), REAL_LOFAULT
 	or	REAL_LOFAULT, %lo(.copyin_err), REAL_LOFAULT
@@ -7283,17 +7198,6 @@
 #endif	/* NIAGARA_IMPL */
 	SET_SIZE(copyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 	sethi	%hi(.xcopyin_err), REAL_LOFAULT
 	b	.do_copyin
@@ -7310,17 +7214,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -7354,22 +7247,12 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyin_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyin
@@ -7379,22 +7262,11 @@
 	nop
 	SET_SIZE(copyin_noerr)
 
-#endif /* lint */
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyout_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyout
@@ -7401,19 +7273,6 @@
 	or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 	SET_SIZE(copyout_noerr)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-uint_t hw_copy_limit_1 = 0x100;
-uint_t hw_copy_limit_2 = 0x200;
-uint_t hw_copy_limit_4 = 0x400;
-uint_t hw_copy_limit_8 = 0x400;
-
-#else /* !lint */
-
 	.align	4
 	DGDEF(use_hw_bcopy)
 	.word	1
@@ -7430,7 +7289,6 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
 
 /*
  * hwblkclr - clears block-aligned, block-multiple-sized regions that are
@@ -7440,14 +7298,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{ 
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 
@@ -7545,16 +7395,7 @@
 	ret
 	restore	%g0, 0, %o0		! return (bzero or not)
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef	lint
-/* Copy 32 bytes of data from src to dst using physical addresses */
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else	/*!lint */
-
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -7583,7 +7424,6 @@
 	retl
 	wrpr	%g0, %g1, %pstate
 	SET_SIZE(hw_pa_bcopy32)
-#endif /* lint */
 
 /*
  * Zero a block of storage.
@@ -7608,20 +7448,6 @@
  *	Store as many 8-byte chunks, followed by trailing bytes.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kzero(void *addr, size_t count)
-{ return(0); }
-
-/* ARGSUSED */
-void
-uzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(uzero)
 	!
 	! Set a new lo_fault handler only if we came in with one
@@ -7694,21 +7520,10 @@
 	SET_SIZE(kzero)
 	SET_SIZE(uzero)
 
-#endif	/* lint */
-
 /*
  * Zero a block of storage.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-bzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bzero)
 	wr	%g0, ASI_P, %asi
 
@@ -7919,4 +7734,3 @@
 	clr	%o0			! return (0)
 
 	SET_SIZE(bzero)
-#endif	/* lint */
--- old/usr/src/uts/sun4v/io/ds_pri_hcall.s	Thu Nov 14 19:00:54 2019
+++ new/usr/src/uts/sun4v/io/ds_pri_hcall.s	Thu Nov 14 19:00:54 2019
@@ -31,15 +31,6 @@
 #include <sys/asm_linkage.h>
 #include <sys/hypervisor_api.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hv_mach_pri(uint64_t buffer_ra, uint64_t *buffer_sizep)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * MACH_PRI
 	 * arg0 buffer real address
@@ -56,4 +47,3 @@
 	stx	%o1, [%o4]
 	SET_SIZE(hv_mach_pri)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/io/fpc/fpc-asm-4v.s	Thu Nov 14 19:00:54 2019
+++ new/usr/src/uts/sun4v/io/fpc/fpc-asm-4v.s	Thu Nov 14 19:00:54 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Assembly language support for sun4v px driver
  */
@@ -38,22 +36,6 @@
 
 /*LINTLIBRARY*/
 
-#if defined(lint)
-
-#include "fpc-impl-4v.h"
-
-/*ARGSUSED*/	
-int
-fpc_get_fire_perfreg(devhandle_t dev_hdl, int regid, uint64_t *data)
-{ return (0); }
-
-/*ARGSUSED*/	
-int
-fpc_set_fire_perfreg(devhandle_t dev_hdl, int regid, uint64_t data)
-{ return (0); }
-
-#else /* lint */
-
 	/*
 	 * fpc_get_fire_perfreg(devhandle_t dev_hdl, int regid, uint64_t *data)
 	 */
@@ -77,4 +59,3 @@
 	SET_SIZE(fpc_set_fire_perfreg)
 
 
-#endif
